<div class="cms-edit-container">
    {if !empty($errors)}{include file="form/flash.tpl" class="error" messages=$errors}{/if}
    <p>
        <a href="{$listRoute}"><button class="cms-back">{txt value='Return'}</button></a>
    </p>
    <p>
        {txt value='Current selected item : '}{$item[$original_field]} {if {$currentLanguage}}{txt value='| Current selected language: '}{$currentLanguage}{/if}
    </p>
    <form action="{$createPostRoute}" method="post">
        <input type="hidden" name="{$i18n_prefix}id" value="{$item.id}"/>
        {foreach $textFields as $field}
            <div class="cms-field-title">
                {txt value="Nom de champ : "}{txt value="$field"} *
            </div>
            <span class="cms-ckeditor-field">
                <input type="text" name="{$i18n_prefix}{$field}" value="">
            </span>
        {/foreach}
        {foreach $textareaFields as $field}
            <div class="cms-field-title">
                {txt value="Nom de champ : "}{txt value="$field"}
            </div>
            <span class="cms-ckeditor-field">
                <textarea name="{$i18n_prefix}{$field}"></textarea>
            </span>
        {/foreach}
        <input type="submit" value="{txt value='Ok'}"/>
    </form>
</div>

<style>
    .cms-edit-container {
        width: 100%;
        height: 100%;
    }

    .cms-edit-container input[type=submit] {
        margin-top: 5px;
    }

    .cms-field-title {
        padding-bottom: 5px;
        padding-top: 5px;
    }

    .cms-ckeditor-field {
        height: 100%;
    }
</style>
{block name="script"}
    <script src="//cdn.ckeditor.com/4.5.4/standard/ckeditor.js"></script>
{/block}
{block name="css"}
    <link type="text/css" href="/aldes/css/all.css" rel="stylesheet"/>
{/block}
<script>
    // Replace the <textarea id="editor1"> with a CKEditor
    // instance, using default configuration.
    {foreach $textareaFields as $k => $field}
        var editor_{$k} = CKEDITOR.replace( '{$i18n_prefix}{$field}', {
            language: '{$currentLanguageCode}'
        });

        editor_{$k}.on('contentDom', function() {literal}{
            jQuery(window).trigger('resize').trigger('scroll');
        }{/literal});
    {/foreach}
</script>
