<div class="cms-list-container">
    <div class="filters-container">
        <form action="{$listRoute}" method="post">
            <input type="text" name="filterString" class="filter-by-name" placeholder="{txt value="Chaîne de recherche"}" value="{$filterString}"/>
            <select name="language-select" id="language-select">
                {html_options values=$languages|@array_keys output=$languages|@array_values selected=$selectedLanguage}
            </select>
            <input type="submit" name="action_1" value="{txt value="Ok"}"/>
            <input type="submit" name="action_2" value="{txt value="Reinitialiser le formulaire"}"/>
        </form>
    </div>
    <div class="cms-list-header">
        <span class="cms-code">
            {txt value="CODE"}
        </span>
        <span class="cms-value">
            {txt value="TITRE"}
        </span>
        <span class="cms-value">
            {txt value="CONTENU"}
        </span>
        <span class="cms-commands">
            {txt value="OPTIONS"}
        </span>
    </div>
    <hr/>
    <div class="cms-list-content">
        {foreach $translateOriginalCodes as $code}
            <div class="cms-list-item">
                <span class="cms-code">
                    {$code[$settings['text_code_column_name']]}
                </span>
                {foreach $settings['text_columns'] as $column}
                    <span class="cms-value">
                        {if isset($items[$code['id']])}
                            {$items[$code['id']][$column]|truncate:120:"...":true:true}
                        {else}
                            &nbsp;
                        {/if}
                    </span>
                {/foreach}
                {foreach $settings['textarea_columns'] as $column}
                    <span class="cms-value">
                        {if isset($items[$code['id']])}
                            {$items[$code['id']][$column]|truncate:120:"...":true:true}
                        {else}
                            &nbsp;
                        {/if}
                    </span>
                {/foreach}
                <span class="cms-commands">
                    {if isset($items[$code['id']])}
                        <a href="{$editRoute}?id={$items[$code['id']]['id']}">{txt value="Modifier"}</a>
                    {else}
                        <a href="{$createRoute}?id={$code['id']}">{txt value="Créer"}</a>
                    {/if}
                </span>
            </div>
            <hr/>
        {/foreach}
    </div>
</div>

<style>
    .cms-list-container {
        width: 100%;
    }

    .filters-container {
        width: 100%;
        height: 40px;
        margin-bottom: 10px;;
    }

    .filter-by-name {
        display: inline-block;
    }

    .cms-list-container select {
        width: 30%;
        display: inline-block;
    }

    .cms-list-header {
        width: 100%;
        min-height: 20px;
    }

    .cms-list-content {
        width: 100%;
    }

    .cms-code {
        width: 20%;
        margin-right: 2.5%;
        word-wrap: break-word;
        display: inline-block;
    }

    .cms-value {
        width: 30%;
        margin-right: 2.5%;
        word-wrap: break-word;
        display: inline-block;
    }

    .cms-commands {
        width: 10%;
    }
</style>
